SystemOrganization addCategory: #'CAs-Pirate-Web'!

WAComponent subclass: #PirateWebMobile
	instanceVariableNames: 'model showsNotStarted showsStarted listId'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CAs-Pirate-Web'!

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 07:50'!
getList
	| allShows tmp |
	allShows := PirateShow shows.
	model := OrderedCollection new.
	tmp := allShows collect: [:s|s nextEpisode].
	tmp := tmp reject: [:i| i isNil].
	self showsStarted ifTrue: [
		tmp := tmp reject: [:i|
			(i id = '01') and: [i season id = '01']
			]
		].
	model:= tmp.! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 07:56'!
initialize
	super initialize .
	self refresh.! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 07:51'!
refresh
	self getList .! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/18/2013 08:42'!
renderContentOn: html
	html div jqmHeader ;
		jqmFixedPosition;
		with: [
			html heading: 'TV-program-program' .
			html anchor jqmIcon: 'refresh';
				with: 'Refresh';
				callback: [self refresh] ].
	html div jqmContent ;
		with: [
			"html paragraph: 'hello'."
			self renderTypeSwitchOn: html.
			html paragraph.
			self renderListOn: html.
		].
	html div jqmFooter ;
		jqmFixedPosition;
		with: [html heading level4; 
				with: 'hello'].! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 08:15'!
renderListOn: html
	listId := html nextId.
"	self halt.
"	html unorderedList 
		jqmListView ;
		id: listId;
		with: [
			model do: [ :s |
				html listItem: [
					html anchor
						callback: [];
						with: s season show name , ' - ' ,  s season id.
					]
				]
			]! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 07:59'!
renderTypeSwitchOn: html
	html form
	with: [
"	self renderFormElementsOn: html element: ["
		html fieldSet
			jqmControlGroup;
			jqmHorizontal;
			with: [
				html label 
					for: html nextId;
					with: 'New'.
				html checkbox
					value: self showsNotStarted;
					id: html lastId.
				html label 
					for: html nextId;
					with: 'Started'.
				html checkbox
					value: self showsStarted;
					id: html lastId.
				]
		]! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 08:00'!
showsNotStarted
	^ showsNotStarted ifNil: [showsNotStarted:=false]! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 08:02'!
showsNotStarted: aBoolean
	showsNotStarted := aBoolean! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 08:01'!
showsStarted
	^ showsStarted ifNil: [showsStarted:=true]! !

!PirateWebMobile methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 7/19/2013 08:02'!
showsStarted: aBoolean
	showsStarted := aBoolean! !
